Bug 1271053 - backport fix for bug 1242946 in f21
backport fix for bug 1242946 in f21
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
21
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-13 00:18 EDT by Ralf Corsepius
Modified: 2015-12-02 13:20 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:40:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2015-10-13 00:18:51 EDT
Description of problem:

dnf-enabled mock on fc21 fails to find /bin/sh for rawhide chroots.

It succeeds on fc22.
It succeeds when using yum.

Version-Release number of selected component (if applicable):
dnf-0.6.4-5.fc21.noarch
mock-1.2.13-2.fc21.noarch

How reproducible:
Always.

Steps to Reproduce:
1. mock -r fedora-rawhide-i386 --dnf --init
2. mock -r fedora-rawhide-i386 --dnf --install /bin/sh

Actual results:
...
No package /bin/csh available.
Error: no package matched: /bin/sh
...

Expected results:
Function.

Additional info:
This bug seems to be the cause of rawhide build-failures, e.g.  http://koji.fedoraproject.org/koji/taskinfo?taskID=11421950

C.f. https://fedorahosted.org/rel-eng/ticket/6276

Seems as if the version of dnf being used on fc21 and on Fedora's builders doesn't handle file deps correctly.
Comment 1 Ralf Corsepius 2015-10-21 11:18:59 EDT
In which version of dnf is this bug fixed?

All versions, which currently are available for f21 still carry this really serious bug, nor do I see an update pending, which would fix this bug.
Comment 2 Honza Silhan 2015-10-26 06:42:00 EDT
It's fixed in F22+. This seems to be a duplicate of bug 1242946. Noted this could be backported to F21 but we don't plan any new release for f21. Please, explain me the severity of this bug.
Comment 3 Ralf Corsepius 2015-10-26 09:30:15 EDT
(In reply to Jan Silhan from comment #2)
> It's fixed in F22+.
Exactly - You apparently did not read this BZ but preferred to cheat and to close it.

What shall I think of this?

> This seems to be a duplicate of bug 1242946. Noted this
> could be backported to F21 but we don't plan any new release for f21.
Then reconsider your decision - Your package is broken and you are telling me you are refusing to fix the bugs you are responsible for?

What shall I think of this?  

> Please, explain me the severity of this bug.

Rel-eng is using fedora-21-rpm based packages on Fedora's builders.

=> Your bug is not only breaking fedora-21, you are responsibile for having broken Fedora's builders, with many serious consequences.

E.g. right now in the dnf-enabled/mock in Fedora's rawhide builders fail to build some rawhide packages, because of this bug. This subsequently causes f23-packages not to be pushed and to pile up. 

Rest assured, I did not mark this bug as critical for fun. I am expecting YOU and rel-eng to fix it ASAP or even stronger consequences to be taken.
Comment 4 Honza Silhan 2015-10-30 07:24:47 EDT
I have created the ticket [1] for builders upgrade. F21 will be EOL soon so backporting of everything is not a long-term solution.

[1] https://fedorahosted.org/fedora-infrastructure/ticket/4943
Comment 5 Fedora End Of Life 2015-11-04 10:17:56 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-12-02 10:40:20 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.